WinDef.POINT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinDef, class: POINT

Package com.sun.jna.platform.win32

# Class WinDef.POINT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinDef.POINT

Direct Known Subclasses:
  `WinDef.POINT.ByReference`, `WinDef.POINT.ByValue`

Enclosing interface:
  WinDef

@FieldOrder({"x","y"}) public static class WinDef.POINT extends Structure
The Class POINT.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinDef.POINT.ByReference`
  The Class ByReference.
  `static class`
  `WinDef.POINT.ByValue`
  The Class ByValue.

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `x`
  The x.
  `int`
  `y`
  The y.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POINT()`
  Instantiates a new point.
  `POINT(int x, int y)`
  Instantiates a new point.
  `POINT(Pointer memory)`
  Instantiates a new point.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### x

    public int x
    The x.

  - ### y

    public int y
    The y.

- ## Constructor Details

  - ### POINT

    public POINT()
    Instantiates a new point.

  - ### POINT

    public POINT(Pointer memory)
    Instantiates a new point.
    Parameters:
      `memory` - the memory

  - ### POINT

    public POINT(int x, int y)
    Instantiates a new point.
    Parameters:
      `x` - the x
      `y` - the y